## kimap 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(KIMAP VERSION ${PIM_VERSION})


# ECM setup
set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
src/*.cpp
src/*.h
tests/*.cpp
tests/*.h
autotests/*.cpp
autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
tests/*.cpp
tests/*.h
autotests/*.cpp
autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KIMAP_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIBS_VERSION "6.3.3")
ecm_setup_version(PROJECT VARIABLE_PREFIX KIMAP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kimap_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfigVersion.cmake"
                        SOVERSION 6
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
########### Find packages ###########
find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIBS_VERSION} CONFIG REQUIRED)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IMAP")
add_definitions(-DTRANSLATION_DOMAIN=\"libkimap6\")

ecm_set_disabled_deprecation_versions(QT 6.8.0
     KF 6.8.0
)
add_definitions(-DQT_NO_EMIT)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### Install Files ###########



install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6IMAPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6IMAPTargets.cmake NAMESPACE KPim6::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/src/kimap_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/ COMPONENT Devel
)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Imap_QCH
        FILE KPim6ImapQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6ImapQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimIMAPConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kde_enable_exceptions()

include(ECMMarkAsTest)

add_subdirectory(kimaptest)

macro(KIMAP_UNIT_TESTS)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
    target_link_libraries(${_testname} KPim6IMAP Qt::Test kimaptest6 Qt::Network)
    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DTEST_DATA="\\"${CMAKE_CURRENT_SOURCE_DIR}\\"")
    set_tests_properties(${_testname} PROPERTIES RUN_SERIAL TRUE)
  endforeach()
endmacro()

########### automated tests ###############

KIMAP_UNIT_TESTS(
  fakeservertest
  testrfccodecs
  testsession
  loginjobtest
  logoutjobtest
  capabilitiesjobtest
  closejobtest
  selectjobtest
  createjobtest
  deletejobtest
  enablejobtest
  expungejobtest
  fetchjobtest
  renamejobtest
  subscribejobtest
  unsubscribejobtest
  listjobtest
  storejobtest
  imapsettest
  idjobtest
  idlejobtest
  quotarootjobtest
  searchjobtest
  getmetadatajobtest
  streamparsertest
  setmetadatajobtest
  appendjobtest
  statusjobtest
  movejobtest
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
# Turn exceptions on
kde_enable_exceptions()
add_library(KPim6IMAP)
add_library(KPim6::IMAP ALIAS KPim6IMAP)
target_sources(KPim6IMAP PRIVATE
   acl.cpp
   acljobbase.cpp
   appendjob.cpp
   capabilitiesjob.cpp
   closejob.cpp
   copyjob.cpp
   createjob.cpp
   deleteacljob.cpp
   deletejob.cpp
   enablejob.cpp
   expungejob.cpp
   fetchjob.cpp
   getacljob.cpp
   getmetadatajob.cpp
   getquotajob.cpp
   getquotarootjob.cpp
   idjob.cpp
   idlejob.cpp
   imapset.cpp
   imapstreamparser.cpp
   job.cpp
   listjob.cpp
   listrightsjob.cpp
   loginjob.cpp
   logoutjob.cpp
   metadatajobbase.cpp
   movejob.cpp
   myrightsjob.cpp
   namespacejob.cpp
   quotajobbase.cpp
   renamejob.cpp
   rfccodecs.cpp
   searchjob.cpp
   selectjob.cpp
   session.cpp
   sessionlogger.cpp
   sessionthread.cpp
   sessionuiproxy.cpp
   setacljob.cpp
   setmetadatajob.cpp
   setquotajob.cpp
   statusjob.cpp
   storejob.cpp
   subscribejob.cpp
   unsubscribejob.cpp
   deletejob.h
   getquotarootjob.h
   fetchjob.h
   listrightsjob.h
   sessionlogger_p.h
   unsubscribejob.h
   loginjob.h
   response_p.h
   sessionthread_p.h
   imapset.h
   closejob.h
   getacljob.h
   acl.h
   idjob.h
   capabilitiesjob.h
   quotajobbase_p.h
   enablejob.h
   metadatajobbase_p.h
   copyjob.h
   session_p.h
   storejob.h
   selectjob.h
   idlejob.h
   setquotajob.h
   job.h
   subscribejob.h
   namespacejob.h
   session.h
   metadatajobbase.h
   sessionuiproxy.h
   createjob.h
   movejob.h
   acljobbase_p.h
   expungejob.h
   imapstreamparser.h
   getmetadatajob.h
   rfccodecs.h
   getquotajob.h
   listjob.h
   deleteacljob.h
   quotajobbase.h
   myrightsjob.h
   common.h
   renamejob.h
   statusjob.h
   setacljob.h
   job_p.h
   searchjob.h
   acljobbase.h
   appendjob.h
   setmetadatajob.h
   logoutjob.h
)

ecm_qt_declare_logging_category(KPim6IMAP HEADER kimap_debug.h IDENTIFIER KIMAP_LOG CATEGORY_NAME org.kde.pim.kimap
        OLD_CATEGORY_NAMES log_kimap
        DESCRIPTION "kimap (pim lib)" EXPORT KIMAP)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6IMAP PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_export_header(KPim6IMAP
    BASE_NAME kimap
    VERSION ${KIMAP_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)


target_include_directories(KPim6IMAP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP>")
target_include_directories(KPim6IMAP PUBLIC "$<BUILD_INTERFACE:${KIMAP_SOURCE_DIR}/src;${KIMAP_BINARY_DIR}/src>")

if(WIN32)
    set(extra_LIBS ws2_32)
endif()

target_link_libraries(KPim6IMAP
PUBLIC
  KPim6::Mime
  KF6::CoreAddons
  Qt::Network
PRIVATE
  KF6::KIOCore
  KF6::I18n
  Sasl2::Sasl2
  ${extra_LIBS}
)

set_property(TARGET KPim6IMAP PROPERTY POSITION_INDEPENDENT_CODE ON)

set_target_properties(KPim6IMAP PROPERTIES
    VERSION ${KIMAP_VERSION}
    SOVERSION ${KIMAP_SOVERSION}
    EXPORT_NAME IMAP
)

ecm_generate_headers(KIMAP_CamelCase_HEADERS
  HEADER_NAMES
  Acl
  AclJobBase
  AppendJob
  CapabilitiesJob
  CloseJob
  CopyJob
  CreateJob
  DeleteAclJob
  DeleteJob
  EnableJob
  ExpungeJob
  FetchJob
  GetAclJob
  GetMetaDataJob
  GetQuotaJob
  GetQuotaRootJob
  IdJob
  IdleJob
  ImapSet
  Job
  ListJob
  ListRightsJob
  LoginJob
  LogoutJob
  MetaDataJobBase
  MoveJob
  MyRightsJob
  NamespaceJob
  QuotaJobBase
  RenameJob
  RFCCodecs
  SearchJob
  SelectJob
  Session
  SessionUiProxy
  SetAclJob
  SetMetaDataJob
  SetQuotaJob
  StatusJob
  StoreJob
  SubscribeJob
  UnsubscribeJob
  PREFIX KIMAP

  REQUIRED_HEADERS KIMAP_HEADERS
)

install(TARGETS KPim6IMAP EXPORT KPim6IMAPTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kimap_export.h
    ${KIMAP_HEADERS}
    ${KIMAP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/kimap
    COMPONENT Devel
)

install(FILES
    ${KIMAP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/KIMAP
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT KIMAP FILE kimap.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6Imap_QCH
        NAME KImap
        BASE_NAME KPim6Imap
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIMAP_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KIMAP_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kde_enable_exceptions()

add_executable(testimapidle testimapidle.cpp)
target_link_libraries(testimapidle KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)

add_executable(testimapserver testimapserver.cpp)
target_link_libraries(testimapserver KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)

=== autotests/kimaptest/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kde_enable_exceptions()

set(kimaptest_SRCS
   fakeserver.cpp
   mockjob.cpp
   sslserver.cpp
)

add_library(kimaptest6 STATIC ${kimaptest_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kimaptest6 PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(kimaptest6)
add_library(KPim6::kimaptest ALIAS kimaptest6)
target_include_directories(KPim6IMAP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAPTest>")
target_link_libraries(kimaptest6 KPim6IMAP Qt::Test Qt::Network Qt::Core KF6::CoreAddons KF6::KIOCore KF6::I18n)

install(TARGETS kimaptest6 EXPORT KPim6IMAPTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  fakeserver.h
  mockjob.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAPTest/kimaptest COMPONENT Devel)

=== debian/changelog ===
kimap (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:48:30 +0100

=== debian/control ===
Source: kimap
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkmime-dev (>= 24.12.3~),
               libsasl2-dev,
               libsasl2-modules,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kimap
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimap.git
Rules-Requires-Root: no

Package: libkimap-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for handling IMAP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KIMAP.

Package: libkimap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.6.0~),
         libkmime-dev (>= 24.12.3~),
         libkpim6imap6 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends},
Description: library for handling IMAP data - development files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the development files.

Package: libkpim6imap6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkimap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.

## kimap 25.04.1

=== debian/changelog ===
kimap (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:53 +0100

kimap (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:00 +0100

kimap (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kimap
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.04.1~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kimap
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimap
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
 Rules-Requires-Root: no
 
 Package: libkimap-data
@@ -37,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.3~),
+         libkmime-dev (>= 25.04.1~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

## kimap 25.07.80

=== debian/changelog ===
kimap (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:41:36 +0100

kimap (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:44:58 +0100

kimap (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.07.80~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.04.1~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

## kimap 25.07.90

=== debian/changelog ===
kimap (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.90~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.07.80~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

## kimap 25.08.0

=== debian/changelog ===
kimap (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.08.0~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.07.90~),
+         libkmime-dev (>= 25.08.0~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

## kimap 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(KIMAP VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(KIMAP_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIBS_VERSION "6.5.1")
ecm_setup_version(PROJECT VARIABLE_PREFIX KIMAP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kimap_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfigVersion.cmake"
                        SOVERSION 6
)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)
########### Find packages ###########
find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIBS_VERSION} CONFIG REQUIRED)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IMAP")
add_definitions(-DTRANSLATION_DOMAIN=\"libkimap6\")

ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.16.0
)
add_definitions(-DQT_NO_EMIT)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### Install Files ###########

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6IMAPTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6IMAPTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kimap_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Imap_QCH
        FILE KPim6ImapQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6ImapQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimIMAPConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kimap (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:08:39 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.1~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.08.0~),
+         libkmime-dev (>= 25.08.1~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- dh_auto_test --no-parallel

## kimap 25.08.1+p24.04+vstable+git20250914.1456

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(KIMAP VERSION ${PIM_VERSION})

=== debian/changelog ===
kimap (25.08.1+p24.04+vstable+git20250914.1456-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 14:56:36 +0000

kimap (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:10:53 +0000

kimap (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:43:22 +0000

kimap (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:22:28 +0000

kimap (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:22:47 +0000

kimap (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:12:24 +0000

kimap (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:16:35 +0000

kimap (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:38:49 +0000

kimap (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:27:19 +0000

kimap (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:19:24 +0000

kimap (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:14:45 +0000

kimap (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:19:15 +0000

kimap (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:00:54 +0000

kimap (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:30:34 +0000

kimap (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:33:03 +0000

kimap (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:08:54 +0000

kimap (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:30:44 +0000

kimap (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:21:15 +0000

kimap (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:13:29 +0000

kimap (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:53:42 +0000

kimap (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 16:55:45 +0000

kimap (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:28:21 +0000

kimap (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:58:11 +0000

kimap (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:58:11 +0000

kimap (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:49:32 +0000

kimap (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:29:34 +0000

kimap (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:52:53 +0000

kimap (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:18:34 +0000

kimap (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:52:22 +0000

kimap (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:27:59 +0000

kimap (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:36:22 +0000

kimap (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:58:27 +0000

kimap (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:20:39 +0000

kimap (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:58:56 +0000

kimap (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:43:59 +0000

kimap (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:06:04 +0000

kimap (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:04:59 +0000

kimap (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:17:49 +0000

kimap (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:45 +0000

kimap (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:48:44 +0000

kimap (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:03 +0000

kimap (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:15 +0000

kimap (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:51 +0000

kimap (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 09:56:55 +0000

kimap (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:55:00 +0000

kimap (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:25:08 +0000

kimap (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:55:30 +0000

kimap (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:23:02 +0000

kimap (20.12.3-0neon) focal; urgency=medium



## kimap 25.08.1+p24.04+vstable+git20250916.0323

=== debian/changelog ===
kimap (25.08.1+p24.04+vstable+git20250916.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:23:39 +0000

## kimap 25.08.2

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -7,19 +7,29 @@
 add_subdirectory(kimaptest)
 
 macro(KIMAP_UNIT_TESTS)
-  foreach(_testname ${ARGN})
-    add_executable(${_testname} ${_testname}.cpp)
-    add_test(NAME ${_testname} COMMAND ${_testname})
-    ecm_mark_as_test(${_testname})
-    target_link_libraries(${_testname} KPim6IMAP Qt::Test kimaptest6 Qt::Network)
-    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DTEST_DATA="\\"${CMAKE_CURRENT_SOURCE_DIR}\\"")
-    set_tests_properties(${_testname} PROPERTIES RUN_SERIAL TRUE)
-  endforeach()
+    foreach(_testname ${ARGN})
+        add_executable(${_testname} ${_testname}.cpp)
+        add_test(NAME ${_testname} COMMAND ${_testname})
+        ecm_mark_as_test(${_testname})
+        target_link_libraries(
+            ${_testname}
+            KPim6IMAP
+            Qt::Test
+            kimaptest6
+            Qt::Network
+        )
+        set_target_properties(
+            ${_testname}
+            PROPERTIES
+                COMPILE_FLAGS -DTEST_DATA="\\"${CMAKE_CURRENT_SOURCE_DIR}\\""
+        )
+        set_tests_properties(${_testname} PROPERTIES RUN_SERIAL TRUE)
+    endforeach()
 endmacro()
 
 ########### automated tests ###############
 
-KIMAP_UNIT_TESTS(
+kimap_unit_tests(
   fakeservertest
   testrfccodecs
   testsession

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
# Turn exceptions on
kde_enable_exceptions()
add_library(KPim6IMAP)
add_library(KPim6::IMAP ALIAS KPim6IMAP)
target_sources(
    KPim6IMAP
    PRIVATE
        acl.cpp
        acljobbase.cpp
        appendjob.cpp
        capabilitiesjob.cpp
        closejob.cpp
        copyjob.cpp
        createjob.cpp
        deleteacljob.cpp
        deletejob.cpp
        enablejob.cpp
        expungejob.cpp
        fetchjob.cpp
        getacljob.cpp
        getmetadatajob.cpp
        getquotajob.cpp
        getquotarootjob.cpp
        idjob.cpp
        idlejob.cpp
        imapset.cpp
        imapstreamparser.cpp
        job.cpp
        listjob.cpp
        listrightsjob.cpp
        loginjob.cpp
        logoutjob.cpp
        metadatajobbase.cpp
        movejob.cpp
        myrightsjob.cpp
        namespacejob.cpp
        quotajobbase.cpp
        renamejob.cpp
        rfccodecs.cpp
        searchjob.cpp
        selectjob.cpp
        session.cpp
        sessionlogger.cpp
        sessionthread.cpp
        sessionuiproxy.cpp
        setacljob.cpp
        setmetadatajob.cpp
        setquotajob.cpp
        statusjob.cpp
        storejob.cpp
        subscribejob.cpp
        unsubscribejob.cpp
        deletejob.h
        getquotarootjob.h
        fetchjob.h
        listrightsjob.h
        sessionlogger_p.h
        unsubscribejob.h
        loginjob.h
        response_p.h
        sessionthread_p.h
        imapset.h
        closejob.h
        getacljob.h
        acl.h
        idjob.h
        capabilitiesjob.h
        quotajobbase_p.h
        enablejob.h
        metadatajobbase_p.h
        copyjob.h
        session_p.h
        storejob.h
        selectjob.h
        idlejob.h
        setquotajob.h
        job.h
        subscribejob.h
        namespacejob.h
        session.h
        metadatajobbase.h
        sessionuiproxy.h
        createjob.h
        movejob.h
        acljobbase_p.h
        expungejob.h
        imapstreamparser.h
        getmetadatajob.h
        rfccodecs.h
        getquotajob.h
        listjob.h
        deleteacljob.h
        quotajobbase.h
        myrightsjob.h
        common.h
        renamejob.h
        statusjob.h
        setacljob.h
        job_p.h
        searchjob.h
        acljobbase.h
        appendjob.h
        setmetadatajob.h
        logoutjob.h
)

ecm_qt_declare_logging_category(KPim6IMAP HEADER kimap_debug.h IDENTIFIER KIMAP_LOG CATEGORY_NAME org.kde.pim.kimap
        OLD_CATEGORY_NAMES log_kimap
        DESCRIPTION "kimap (pim lib)" EXPORT KIMAP
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6IMAP PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_export_header(KPim6IMAP
    BASE_NAME kimap
    VERSION ${KIMAP_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6IMAP
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP>"
)
target_include_directories(
    KPim6IMAP
    PUBLIC "$<BUILD_INTERFACE:${KIMAP_SOURCE_DIR}/src;${KIMAP_BINARY_DIR}/src>"
)

if(WIN32)
    set(extra_LIBS ws2_32)
endif()

target_link_libraries(
    KPim6IMAP
    PUBLIC KPim6::Mime KF6::CoreAddons Qt::Network
    PRIVATE KF6::KIOCore KF6::I18n Sasl2::Sasl2 ${extra_LIBS}
)

set_property(TARGET KPim6IMAP PROPERTY POSITION_INDEPENDENT_CODE ON)

set_target_properties(
    KPim6IMAP
    PROPERTIES
        VERSION ${KIMAP_VERSION}
        SOVERSION ${KIMAP_SOVERSION}
        EXPORT_NAME IMAP
)

ecm_generate_headers(KIMAP_CamelCase_HEADERS
  HEADER_NAMES
  Acl
  AclJobBase
  AppendJob
  CapabilitiesJob
  CloseJob
  CopyJob
  CreateJob
  DeleteAclJob
  DeleteJob
  EnableJob
  ExpungeJob
  FetchJob
  GetAclJob
  GetMetaDataJob
  GetQuotaJob
  GetQuotaRootJob
  IdJob
  IdleJob
  ImapSet
  Job
  ListJob
  ListRightsJob
  LoginJob
  LogoutJob
  MetaDataJobBase
  MoveJob
  MyRightsJob
  NamespaceJob
  QuotaJobBase
  RenameJob
  RFCCodecs
  SearchJob
  SelectJob
  Session
  SessionUiProxy
  SetAclJob
  SetMetaDataJob
  SetQuotaJob
  StatusJob
  StoreJob
  SubscribeJob
  UnsubscribeJob
  PREFIX KIMAP

  REQUIRED_HEADERS KIMAP_HEADERS
)

install(
    TARGETS KPim6IMAP
    EXPORT KPim6IMAPTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kimap_export.h
        ${KIMAP_HEADERS}
        ${KIMAP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/kimap
    COMPONENT Devel
)

install(
    FILES ${KIMAP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIMAP/KIMAP
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT KIMAP FILE kimap.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6Imap_QCH
        NAME KImap
        BASE_NAME KPim6Imap
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIMAP_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KIMAP_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,10 @@
 target_link_libraries(testimapidle KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)
 
 add_executable(testimapserver testimapserver.cpp)
-target_link_libraries(testimapserver KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)
+target_link_libraries(
+    testimapserver
+    KPim6IMAP
+    Qt::Test
+    KF6::KIOCore
+    Qt::Network
+)

=== debian/changelog ===
kimap (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.2~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.08.1~),
+         libkmime-dev (>= 25.08.2~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},

## kimap 25.08.2+p24.04+vstable+git20251015.1220

=== debian/changelog ===
kimap (25.08.2+p24.04+vstable+git20251015.1220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:20:32 +0000

kimap (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

## kimap 25.08.2+p24.04+vstable+git20251019.0508

=== debian/changelog ===
kimap (25.08.2+p24.04+vstable+git20251019.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:08:27 +0000

## kimap 25.08.2+p24.04+vunstable+git20251015.1321

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(KIMAP VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -64,7 +64,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 set(KIMAP_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIBS_VERSION "6.5.1")
+set(KMIME_LIBS_VERSION "6.5.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KIMAP
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kimap_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IMAPConfigVersion.cmake"
@@ -94,7 +94,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkimap6\")
 
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.19.0
 )
 add_definitions(-DQT_NO_EMIT)

=== debian/changelog ===
kimap (25.08.2+p24.04+vunstable+git20251015.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:21:10 +0000

=== debian/control ===
Source: kimap
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kpim6-kmime-dev,
               libboost-dev (>= 1.34.0~),
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kimap
Vcs-Git: https://invent.kde.org/neon/kde/kimap.git
Vcs-Browser: https://invent.kde.org/neon/kde/kimap
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kimap
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5imap5, libkf6imap6, libkpim6imap6
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.

Package: kpim6-kimap-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kio-dev,
         kpim6-kimap (= ${binary:Version}),
         kpim6-kmime-dev,
         libboost-dev (>= 1.34.0~),
         libsasl2-dev,
         ${misc:Depends}
Replaces: libkf5imap-dev, libkf6imap-dev, libkpim6imap-dev
Description: library for handling IMAP data - development files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the development files.

Package: libkpim6imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6imap6
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6imap6
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5imap5
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kimap 25.08.2+p24.04+vunstable+git20251020.1120

=== debian/changelog ===
kimap (25.08.2+p24.04+vunstable+git20251020.1120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:20:40 +0000

## kimap 25.08.2+p24.04+vunstable+git20251022.0252

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(KIMAP VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kimap (25.08.2+p24.04+vunstable+git20251022.0252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:52:44 +0000
